Create User

Registers a new user account.

Headers
  • x-api-key
    Type: string
    required

    API key for authentication

Body·
required
application/json
  • email
    Type: stringFormat: email
    required
  • password
    Type: string
    min length:  
    8
    Format: password
    required

    a hint to UIs to mask the input

  • username
    Type: string
    min length:  
    3
    max length:  
    50
    required
  • firstName
    Type: string

    Optional

  • surName
    Type: string

    Optional

Responses
  • 201

    User created successfully.

  • application/json
Request Example for post/api/user/registerUser
curl https://demo.api.whispchat.com/api/user/registerUser \
  --request POST \
  --header 'x-api-key: ' \
  --header 'Content-Type: application/json' \
  --data '{
  "username": "johndoe",
  "firstName": "John",
  "surName": "Doe",
  "email": "john.doe@example.com",
  "password": "SecureP@ss123"
}'
No Body